org.apache.catalina.deploy

## Class ErrorPage

- java.lang.Object
- - org.apache.catalina.deploy.ErrorPage

All Implemented Interfaces:
  Serializable

    public class ErrorPage
    extends Object
    implements Serializable

Representation of an error page element for a web application, as represented in a `<error-page>` element in the deployment descriptor.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ErrorPage()`

### Method Summary

Methods
`int` `getErrorCode()` Return the error code.
`String` `getExceptionType()` Return the exception type.
`String` `getLocation()` Return the location.
`String` `getName()`
`void` `setErrorCode(int errorCode)` Set the error code.
`void` `setErrorCode(String errorCode)` Set the error code (hack for default XmlMapper data type).
`void` `setExceptionType(String exceptionType)` Set the exception type.
`void` `setLocation(String location)` Set the location.
`String` `toString()` Render a String representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ErrorPage

    public ErrorPage()

### Method Detail

#### getErrorCode

    public int getErrorCode()

Return the error code.

#### setErrorCode

    public void setErrorCode(int errorCode)

Set the error code.

Parameters:
  `errorCode` - The new error code

#### setErrorCode

    public void setErrorCode(String errorCode)

Set the error code (hack for default XmlMapper data type).

Parameters:
  `errorCode` - The new error code

#### getExceptionType

    public String getExceptionType()

Return the exception type.

#### setExceptionType

    public void setExceptionType(String exceptionType)

Set the exception type.

Parameters:
  `exceptionType` - The new exception type

#### getLocation

    public String getLocation()

Return the location.

#### setLocation

    public void setLocation(String location)

Set the location.

Parameters:
  `location` - The new location

#### toString

    public String toString()

Render a String representation of this object.

Overrides:
  `toString` in class `Object`

#### getName

    public String getName()